{
  lib,
  buildNpmPackage,
  fetchFromGitHub,
}:
buildNpmPackage rec {
  pname = "markdown-toc";
  version = "1.2.0";

  src = fetchFromGitHub {
    owner = "jonschlinkert";
    repo = pname;
    rev = version;
    hash = "sha256-CgyAxXcLrdk609qoXjyUgpA+NIlWrkBsE7lf5YnPagQ=";
  };

  # Add the package-lock.json.
  postPatch =
    # sh
    ''
      ln -s ${./package-lock.json} package-lock.json
    '';

  npmDepsHash = "sha256-ZuR3zPaOM4CkuzBin9F3lj1qeD1w42g6NwSMQFambI4=";

  npmPackFlags = ["--ignore-scripts"];
  dontNpmBuild = true;

  meta = {
    description = "Generate a markdown TOC (table of contents) with Remarkable.";
    homepage = "https://github.com/jonschlinkert/markdown-toc";
    license = lib.licenses.mit;
  };
}
